DROP PROCEDURE IF EXISTS add_update_cambio_salario;

DELIMITER $$

CREATE PROCEDURE add_update_cambio_salario(
    _cod_cambio_salario INT,
    _fe_cambio_salario DATE,
    _motivo VARCHAR(50),
    _nuevo_salario REAL,
    _viejo_salario REAL,
    _estado VARCHAR(2)
)
BEGIN
	IF _cod_cambio_salario IS NULL THEN
		SET _cod_cambio_salario = LAST_INSERT_ID();
		INSERT INTO Cambio_salario(cod_cambio_salario, fe_cambio_salario, motivo, nuevo_salario, viejo_salario, estado)
		VALUES (_cod_organizacion, _nom_organizacion, _desc_organizacion);
	ELSE
		UPDATE Cambio_salario
		SET
            fe_cambio_salario = _fe_cambio_salario,
            motivo = _motivo,
            nuevo_salario = _nuevo_salario,
            viejo_salario = _viejo_salario,
            estado = _estado
		WHERE
			cod_cambio_salario = _cod_cambio_salario;
	END IF;
END$$

DELIMITER ;