DROP PROCEDURE IF EXISTS organizacionAddOrEdit;

DELIMITER $$

CREATE PROCEDURE organizacionAddOrEdit(
	IN _cod_organizacion INT,
	IN _nom_organizacion VARCHAR(50),
	IN _desc_organizacion VARCHAR(50)
)
BEGIN
	IF _cod_organizacion IS NULL THEN
		SET _cod_organizacion = LAST_INSERT_ID();
		
		INSERT INTO Organizacion(cod_organizacion, nom_organizacion, desc_organizacion)
		VALUES (_cod_organizacion, _nom_organizacion, _desc_organizacion);
	
	ELSE
		UPDATE Organizacion
		SET
			nom_organizacion = _nom_organizacion, 
			desc_organizacion = _desc_organizacion
		WHERE
			cod_organizacion = _cod_organizacion;
	END IF;
END$$

DELIMITER ;