DROP TRIGGER IF EXISTS check_fecha_egreso;

DELIMITER $$

CREATE TRIGGER
  check_fecha_egreso
BEFORE INSERT
  ON Egreso FOR EACH ROW

BEGIN
    IF (new.fe_egreso > CURDATE()) THEN
        SIGNAL
        SQLSTATE '45000'
        SET MESSAGE_TEXT = 'La fecha de egreso no puede ser mayor a la actual';
    END IF;
END;
$$

DELIMITER ;