DROP TRIGGER IF EXISTS check_fecha_ingreso;

DELIMITER $$

CREATE TRIGGER
  check_fecha_ingreso
BEFORE INSERT
  ON Ingreso FOR EACH ROW

BEGIN
    IF (new.fe_ingreso > CURDATE()) THEN
        SIGNAL
        SQLSTATE '45000'
        SET MESSAGE_TEXT = 'La fecha de ingreso no puede ser mayor a la actual';
    END IF;
END;
$$

DELIMITER ;