DROP TRIGGER IF EXISTS check_nuevo_salario;

DELIMITER $$

CREATE TRIGGER
    check_nuevo_salario
BEFORE INSERT
    ON Cambio_salario FOR EACH ROW

BEGIN
    IF (new.nuevo_salario < 0) THEN
        SIGNAL
        SQLSTATE '45000'
        SET MESSAGE_TEXT = 'El salario no puede ser menor a 0.';        
    END IF;
END;
$$

DELIMITER;