DROP PROCEDURE IF EXISTS add_update_cambio_salario;

DELIMITER $$

CREATE PROCEDURE add_update_cambio_salario(
	IN _cod_cambio_salario INT,
    IN _fe_cambio_salario DATE,
    IN _motivo VARCHAR(500),
    IN _patologia VARCHAR(500),
	IN _nuevo_salario REAL,
    IN _viejo_salario REAL,
    IN _estado VARCHAR(2)
)
BEGIN
	IF _cod_cambio_salario IS NULL THEN
<<<<<<< Updated upstream
		INSERT INTO Cambio_salario(cod_cambio_salario, fe_cambio_salario, motivo, nuevo_salario, viejo_salario, estado)
		VALUES (_cod_cambio_salario, _fe_cambio_salario, _motivo, _nuevo_salario, _viejo_salario, _estado);
        SET _cod_cambio_salario = LAST_INSERT_ID();
=======
        SET _cod_cambio_salario = LAST_INSERT_ID();
		INSERT INTO Cambio_salario(cod_cambio_salario, fe_cambio_salario, motivo, nuevo_salario, viejo_salario, estado)
		VALUES (_cod_cambio_salario, _fe_cambio_salario, _motivo, _nuevo_salario, _viejo_salario, _estado);
>>>>>>> Stashed changes
	ELSE
		UPDATE Cambio_salario
		SET
            fe_cambio_salario = _fe_cambio_salario,
            motivo = _motivo,
            nuevo_salario = _nuevo_salario,
            viejo_salario = _viejo_salario,
            estado = _estado
		WHERE
			cod_cambio_salario = _cod_cambio_salario;
	END IF;
END$$

DELIMITER ;