DROP PROCEDURE IF EXISTS add_update_egreso;

DELIMITER $$

CREATE PROCEDURE add_update_egreso(
	IN _cod_egreso INT,
	IN _fe_egreso DATE,
    IN _motivo varchar(500)
)
BEGIN
	IF _cod_egreso IS NULL THEN
        SET _cod_egreso = LAST_INSERT_ID();
		INSERT INTO Egreso(cod_egreso, fe_egreso, motivo)
		VALUES (_cod_egreso, _fe_egreso, _motivo);
	ELSE
		UPDATE Egreso
		SET
			fe_egreso = _fe_egreso,
            motivo = _motivo
		WHERE
			cod_egreso = _cod_egreso;
	END IF;
END$$

DELIMITER ;