DROP PROCEDURE IF EXISTS add_update_reposo;

DELIMITER $$

CREATE PROCEDURE add_update_reposo(
	IN _cod_reposo INT,
    IN _motivo VARCHAR(500),
    IN _patologia VARCHAR(500),
	IN _fe_inicio DATE,
    IN _fe_finalizacion DATE,
    IN _estado VARCHAR(2)
)
BEGIN
	IF _cod_reposo IS NULL THEN
<<<<<<< Updated upstream
		INSERT INTO Reposo(cod_reposo, motivo, patologia, fe_inicio, fe_finalizacion, estado)
		VALUES (_cod_reposo, _motivo, _patologia, _fe_inicio, _fe_finalizacion, _estado);
		SET _cod_reposo = LAST_INSERT_ID();
=======
        SET _cod_reposo = LAST_INSERT_ID();
		INSERT INTO Reposo(cod_reposo, motivo, patologia, fe_inicio, fe_finalizacion, estado)
		VALUES (_cod_reposo, _motivo, _patologia, _fe_inicio, _fe_finalizacion, _estado);
>>>>>>> Stashed changes
	ELSE
		UPDATE Reposo
		SET
            motivo = _motivo,
            patologia = _patologia,
            fe_inicio = _fe_inicio,
            fe_finalizacion = _fe_finalizacion,
            estado = _estado
		WHERE
			cod_reposo = _cod_reposo;
	END IF;
END$$

DELIMITER ;