DROP TRIGGER IF EXISTS check_email;

DELIMITER $$

CREATE TRIGGER
  check_email
BEFORE INSERT
  ON Usuario FOR EACH ROW

BEGIN
  IF (new.correo NOT LIKE '%@est.ucab.edu.ve' AND new.correo NOT LIKE '%@gmail.com') THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'El email introducido es invalido 1.';
  END IF;
END;
$$

DELIMITER ;
