DROP TRIGGER IF EXISTS check_password;

DELIMITER $$

CREATE TRIGGER
  check_password
BEFORE INSERT
  ON Usuario FOR EACH ROW

BEGIN
  IF( CHAR_LENGTH(new.contrasena) < 8) THEN
    SIGNAL
    SQLSTATE '45000'
    SET MESSAGE_TEXT = 'La contraseña debe contener más de 8 carácteres.';
  END IF;
END;
$$

DELIMITER ;
