const express = require('express');
const router = express.Router();
const mysqlConnection = require('../databse');

router.get('/getUsers', (req, res) => {
    mysqlConnection.query('SELECT * FROM Usuario', (err, rows, fields) => {
        if(!err) {
            res.json(rows);
        } else {
            console.log(err);
        }
    })
})

//Esta funcion encuentra un usuario haciendo uso de su numero de cedula.

// /getUsers/[Cedula]

router.get('/getUsers/:cedula', (req, res) => {
    const { cedula } = req.params;
    console.log(cedula);
    mysqlConnection.query('SELECT * FROM Usuario WHERE cedula = ?', [cedula], (err, rows, fields) => {
        if(!err) {
            res.json(rows);
        } else {
            console.log(err);
        }
    });
});

router.post('/', (req, res) => {

    const { cedula, nombre, apellido, correo, contrasena, nivel } = req.body;

    const query = "CALL add_user(?, ?, ?, ?, ?, ?)";
    mysqlConnection.query(query, [cedula, nombre, apellido, correo, contrasena, nivel], (err, rows, fields) => {
        if (!err) {
            res.json({Status: 'Usuario agregado exitosamente. '});
        } else {
            console.log(err); 
        }
    });
});


module.exports = router;